Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033320
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-06-20 18:472016-08-11 18:40
ReporteregoitzView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision734222ff0bdd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033320: On environment whit big volumnes the create from process takes long to print the popup.

DescriptionWhen do you want to deliver a order creating the shipment using the create from process, the popup takes minutes to be printed on environment with big amount of orders,shipements and invoices.

The alernative is to use the create shipments from order window but has also performance problems:

https://issues.openbravo.com/view.php?id=33319 [^]
Steps To Reproduce-On an environment with thousends of invoices, orders and shipment, create a shipment header, and click on the create from button.
It takes long to show the popup.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033319 closedAtulOpenbravo The generate shipment from orders form takes long to print the data with a lot of orders pending to be deliver 

-  Notes
(0088593)
hgbot (developer)
2016-07-20 10:06

Repository: erp/devel/pi
Changeset: 734222ff0bdd35a2ab8948a6f5dd366cdd97c3e7
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jul 19 20:20:24 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/734222ff0bdd35a2ab8948a6f5dd366cdd97c3e7 [^]

Fixes Issue 33320: Performance problems in Create Lines From process

Problem was with loading invoices and orders in the respective combos.
Changed both queries to improve the performance.

---
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Shipment_data.xsql
---
(0088595)
aferraz (developer)
2016-07-20 10:07

Code review + Testing OK
(0089023)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-20 18:47 egoitz New Issue
2016-06-20 18:47 egoitz Assigned To => Triage Finance
2016-06-20 18:47 egoitz Modules => Core
2016-06-20 18:47 egoitz Triggers an Emergency Pack => No
2016-06-20 18:47 egoitz Tag Attached: Performance
2016-06-20 18:47 egoitz Relationship added related to 0033319
2016-06-21 13:42 aferraz Assigned To Triage Finance => markmm82
2016-07-06 17:37 vmromanos Assigned To markmm82 => AtulOpenbravo
2016-07-19 22:19 AtulOpenbravo Status new => scheduled
2016-07-20 10:06 hgbot Checkin
2016-07-20 10:06 hgbot Note Added: 0088593
2016-07-20 10:06 hgbot Status scheduled => resolved
2016-07-20 10:06 hgbot Resolution open => fixed
2016-07-20 10:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/734222ff0bdd35a2ab8948a6f5dd366cdd97c3e7 [^]
2016-07-20 10:07 aferraz Review Assigned To => aferraz
2016-07-20 10:07 aferraz Note Added: 0088595
2016-07-20 10:07 aferraz Status resolved => closed
2016-07-20 10:07 aferraz Fixed in Version => 3.0PR16Q4
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089023


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker